Bug 135753 - UI: Table properties borders has no drop down for 'cell' 'row' or table
Summary: UI: Table properties borders has no drop down for 'cell' 'row' or table
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Borders-Tab
  Show dependency treegraph
 
Reported: 2020-08-14 10:37 UTC by Telesto
Modified: 2022-05-16 07:02 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (4.74 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-08-14 11:00 UTC, Telesto
Details
Bitmap applied to Table vs. (all) Cells (50.33 KB, image/png)
2020-09-10 13:57 UTC, Heiko Tietze
Details
Screencast (806.58 KB, video/mp4)
2020-09-10 15:44 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-08-14 10:37:11 UTC
Description:
UI: Table properties borders has no drop down for 'cell' 'row' or table

Steps to Reproduce:
1. Open Writer
2. Insert a table
3. Place cursor in the table
4. Table -> Properties

Notice background having a drop down & borders not.. 

Actual Results:
Background has a drop down & borders not

Expected Results:
At minimum consistency; 
A) Drop the drop down in background (based on the selection in table)
B) Add to drop down for borders.

Next part
C) Make the drop down 'smart'. So if a row select row. If a cell selected cell. If only cursor in the cell -> table
D) Not sure if there is a more workable alternative for 'drop down'. As it's hiding the options. Not sure what the alternative should be tough. Some icons (like show styles)? Radio button with label

Note: Background color for row isn't not totally the same as selecting a row (if cells are merged). So there is some effect on functionality if dropped


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2020-08-14 11:00:02 UTC
Created attachment 164307 [details]
Example file

Difference in functionality
1. Place cursor in second row
2. Table -> properties -> Background -> select row 
3. Pick a color.. notice only a row of the merged table being colored. With a selection you can't do this.. if this is actually used, no clue
Comment 2 Telesto 2020-08-14 11:01:09 UTC
For the record. There are multiple options here
A) Drop the drop down in background (based on the selection in table)
B) Add a drop down for borders too
Comment 3 Heiko Tietze 2020-09-10 13:57:57 UTC
Created attachment 165365 [details]
Bitmap applied to Table vs. (all) Cells

You talk about the background tab in the table properties dialog where a Cell dropdown allows to apply the background also to the whole row or table.

There is a difference between bitmaps as background to the table and cells, which starts new with each cell. Borders do not have this option.
Comment 4 Heiko Tietze 2020-09-10 13:58:15 UTC
Recommend to resolve as NAB.
Comment 5 Telesto 2020-09-10 15:44:02 UTC
Created attachment 165373 [details]
Screencast
Comment 6 Telesto 2020-09-10 15:51:04 UTC
(In reply to Heiko Tietze from comment #3)
> Created attachment 165365 [details]
> Bitmap applied to Table vs. (all) Cells
> 
> You talk about the background tab in the table properties dialog where a
> Cell dropdown allows to apply the background also to the whole row or table.

Yes; but after that we going different directions...

The point being.. Table border lacks the same choice.. Cell/row/table. You have to select those cells in advance. This isn't the case for background. As there is a drop down to select the area

They drop down is obviously slightly confusing if you pre-select the area to set the background for.. I have selected a full row; it still shows cell etc (but that's here slightly off topic)

The point being; the table border dialog doesn't have the same setting. As said this can go multiple directions (expected results).. But in my vision table border & table area should be the same in workflow. Or I'm not seeing a legitimate reason to a differentiation between 'area background' and 'border'. In both cases the area for the change being relevant. 

So again put differently the workflow for 'border' and area is different and it makes no sense to me. Except being the design
Comment 7 LeroyG 2021-01-29 16:18:45 UTC
There are no superimposed levels of border to cell, row and table (as there are levels for background). So, I think that it is no needed the drop down for border: the option is set to what you selected.
Comment 8 Xisco Faulí 2022-05-02 12:16:24 UTC
Dear Telesto,
Could you please try to reproduce it with a master build from http://dev-builds.libreoffice.org/daily/master/ ?
You can install it alongside the standard version.
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the master build
Comment 9 Telesto 2022-05-16 07:02:32 UTC
(In reply to LeroyG from comment #7)
> There are no superimposed levels of border to cell, row and table (as there
> are levels for background). So, I think that it is no needed the drop down
> for border: the option is set to what you selected.

Well that's true..